/* ============================ */
/*        Manuel Gallegos       */
/*            pcfile.c          */
/*           Fall 1995          */
/* ============================ */

#include "checkin.h"
#include <errno.h>
#define TEST_FREOPEN  0

FILE *fptr;

int parse_cfile ( void )
{
    int i, tylv, lasttest;

    /* this is just to show how stdin works before the freopen */
#if TEST_FREOPEN
    char *s;
    s = (char *)malloc(256);
    s = gets();
    printf("[%s]\n",s);
#endif
    lasttest = -1;
/*    if ( (fptr = freopen(CMDF,"r",stdin)) == NULL )  */
    if ( (yyin = fopen(CMDF,"r")) == NULL )
      {
	debug_msg ("no prior tests ....");
      }
    else
      {
	debug_msg ("beginning parse");
	i = 1;
	while (i != 0)
	  {
	    i = yylex();
	    switch (i) {
	    case STNO: 
	      newcase (tests, atoi(yytext));
/*	      settno (tests, atoi(yytext)); */
	      lasttest = getno (tests);
	      break;
	    case SCMD:
	      setcmd (tests, yytext);
	      break;
	    case SDSC:
	      setdesc (tests, yytext); 
	      break;
	    case STO:
	      settime (tests, atoi(yytext));
	      break;
	    case SDO:
	      setdiff (tests, yytext);
	      break;
	    case SOF:
	      debug_msg (yytext);
	      setoutf (tests, yytext);
	      break;
	    default:
	      break;
	    } 
	  }
      }
    if (tests->amount == 0)
      {
	debug_msg ("no tests listed ...");
      }

    /* this no longer reads successfully from stdin */
#if TEST_FREOPEN
   s = gets(s);
   printf("[%s]\n",s);
#endif
    debug_msg ("done parsing.");
    return (lasttest + 1);
}
