/* ============================ */
/*        Manuel Gallegos       */
/*             rtrm.c           */
/*           Fall 1995          */
/* ============================ */

#include "checkin.h"

int main( int argc, char *argv[] )
    {
      CASES *tests;
      FILE *cmdptr;
      char *s;

      s = (char *)malloc(sizeof(char)*256);

      if ( (argc == 1) || (argv[1][0] == '-') )
	  ind_err (argv[0]);
      DEBUG = 0;
      gtime = 0;
      strcpy (gdiff,"\0");
      debug_msg ("Tagging files ...");
      tests = makel (argc,argv);
      debug_msg ("Done tagging ... now outputting all desired ...");
      output_header ();
      cmdptr = append_CMDF ();
      firstcase (tests);
      printf ("Removing test cases  ");
      while (! lastcase (tests) )
	{
	  if ( (! gettag (tests) ) || ( argc == 1 ) )
	    update_CMDF (tests, cmdptr);
	  else
	    {
	      sprintf(s,"rm %s/test-%d.*",CDIR,getno(tests));
	      system(s);
	      printf (".. %d ",getno(tests));
	    }
	  nextcase(tests);
	}
      printf("\n");
      fclose (cmdptr);

      exit (0);
    }


int ind_err (char *cmdline)
    {
      fprintf (stderr,"Usage:\n");
      fprintf (stderr,"\t%s [-h|--help]            display this message\n",cmdline);
      fprintf (stderr,"\t%s <nnn,nnn-nnn>*         removes specified cases\n",cmdline);
      fprintf (stderr,"\t\t<nnn,nnn-nnn>*      specify tests in range\n");
      exit (-1);
    }
